---
title: llarp::RoutePoker

---

# llarp::RoutePoker





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[AddRoute](Classes/structllarp_1_1RoutePoker.md#function-addroute)**([huint32_t](Classes/structllarp_1_1huint__t.md) ip) |
| void | **[DelRoute](Classes/structllarp_1_1RoutePoker.md#function-delroute)**([huint32_t](Classes/structllarp_1_1huint__t.md) ip) |
| void | **[Init](Classes/structllarp_1_1RoutePoker.md#function-init)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router, bool enable =false) |
| | **[~RoutePoker](Classes/structllarp_1_1RoutePoker.md#function-~routepoker)**() |
| void | **[Update](Classes/structllarp_1_1RoutePoker.md#function-update)**() |
| void | **[Enable](Classes/structllarp_1_1RoutePoker.md#function-enable)**() |
| void | **[Disable](Classes/structllarp_1_1RoutePoker.md#function-disable)**() |
| void | **[Up](Classes/structllarp_1_1RoutePoker.md#function-up)**()<br>explicitly put routes up  |
| void | **[Down](Classes/structllarp_1_1RoutePoker.md#function-down)**()<br>explicitly put routes down  |

## Public Functions Documentation

### function AddRoute

```cpp
void AddRoute(
    huint32_t ip
)
```


### function DelRoute

```cpp
void DelRoute(
    huint32_t ip
)
```


### function Init

```cpp
void Init(
    AbstractRouter * router,
    bool enable =false
)
```


### function ~RoutePoker

```cpp
~RoutePoker()
```


### function Update

```cpp
void Update()
```


### function Enable

```cpp
void Enable()
```


### function Disable

```cpp
void Disable()
```


### function Up

```cpp
void Up()
```

explicitly put routes up 

### function Down

```cpp
void Down()
```

explicitly put routes down 

-------------------------------

Updated on 2022-08-30 at 18:09:26 +0000